Bug 1479921 - gtkmm30-3.22.1-1.fc26 breaks ABI without soversion bump
gtkmm30-3.22.1-1.fc26 breaks ABI without soversion bump
Status: NEW
Product: Fedora
Classification: Fedora
Component: gtkmm30 (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 14:27 EDT by pete johnson
Modified: 2018-05-03 04:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 786070 None None None 2017-08-09 16:18 EDT

  None (edit)
Description pete johnson 2017-08-09 14:27:34 EDT
Description of problem: /usr/bin/gimagereader-gtk fails at startup

Version-Release number of selected component (if applicable):
gimagereader-gtk.x86_64 3.2.3-1.fc26

How reproducible: From command line:

[ma]$ /bin/date; /usr/bin/gimagereader-gtk 
Wed Aug  9 13:11:38 EDT 2017
/usr/bin/gimagereader-gtk: symbol lookup error: /usr/bin/gimagereader-gtk: undefined symbol: _ZN3Gio9ActionMap10add_actionERKN4Glib7ustringERKN4sigc4slotIFvvENS5_3nilES8_S8_S8_S8_S8_S8_EE
[ma]$


Steps to Reproduce:
1. See How reproducible
2.
3.

Actual results: /usr/bin/gimagereader-gtk fails at startup

Expected results: Software that lets us do OCR.

Additional info:
Comment 1 pete johnson 2017-08-09 14:47:22 EDT
[root@T410s ~]# /bin/date
Wed Aug  9 12:07:12 EDT 2017
[root@T410s ~]# /usr/bin/dnf install gimagereader-gtk
Last metadata expiration check: 2:36:07 ago on Wed 09 Aug 2017 09:30:40 AM EDT.
Dependencies resolved.
=================================================================================
 Package                   Arch         Version              Repository     Size
=================================================================================
Installing:
 gimagereader-gtk          x86_64       3.2.3-1.fc26         updates       337 k
Installing dependencies:
 gimagereader-common       noarch       3.2.3-1.fc26         updates       157 k
 gtksourceviewmm3          x86_64       3.18.0-3.fc26        fedora         95 k
 gtkspellmm30              x86_64       3.0.5-2.fc26         fedora         26 k
 leptonica                 x86_64       1.74.4-1.fc26        fedora        1.0 M
 podofo-libs               x86_64       0.9.5-4.fc26         fedora        557 k
 tesseract                 x86_64       3.05.01-1.fc26       fedora         11 M

Transaction Summary
=================================================================================
Install  7 Packages

Total download size: 13 M
Installed size: 47 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): gimagereader-common-3.2.3-1.fc26.noarch.r 933 kB/s | 157 kB     00:00    
(2/7): gimagereader-gtk-3.2.3-1.fc26.x86_64.rpm  1.1 MB/s | 337 kB     00:00    
(3/7): gtkspellmm30-3.0.5-2.fc26.x86_64.rpm       96 kB/s |  26 kB     00:00    
(4/7): gtksourceviewmm3-3.18.0-3.fc26.x86_64.rpm 201 kB/s |  95 kB     00:00    
(5/7): leptonica-1.74.4-1.fc26.x86_64.rpm        925 kB/s | 1.0 MB     00:01    
(6/7): podofo-libs-0.9.5-4.fc26.x86_64.rpm       352 kB/s | 557 kB     00:01    
(7/7): tesseract-3.05.01-1.fc26.x86_64.rpm       2.0 MB/s |  11 MB     00:05    
---------------------------------------------------------------------------------
Total                                            2.0 MB/s |  13 MB     00:06     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                         1/1 
  Installing       : leptonica-1.74.4-1.fc26.x86_64                          1/7 
  Running scriptlet: leptonica-1.74.4-1.fc26.x86_64                          1/7 
  Installing       : tesseract-3.05.01-1.fc26.x86_64                         2/7 
  Running scriptlet: tesseract-3.05.01-1.fc26.x86_64                         2/7 
  Installing       : podofo-libs-0.9.5-4.fc26.x86_64                         3/7 
  Running scriptlet: podofo-libs-0.9.5-4.fc26.x86_64                         3/7 
  Installing       : gtkspellmm30-3.0.5-2.fc26.x86_64                        4/7 
  Running scriptlet: gtkspellmm30-3.0.5-2.fc26.x86_64                        4/7 
  Installing       : gtksourceviewmm3-3.18.0-3.fc26.x86_64                   5/7 
  Running scriptlet: gtksourceviewmm3-3.18.0-3.fc26.x86_64                   5/7 
  Installing       : gimagereader-common-3.2.3-1.fc26.noarch                 6/7 
  Installing       : gimagereader-gtk-3.2.3-1.fc26.x86_64                    7/7 
  Running scriptlet: gimagereader-gtk-3.2.3-1.fc26.x86_64                    7/7 
  Verifying        : gimagereader-gtk-3.2.3-1.fc26.x86_64                    1/7 
  Verifying        : gimagereader-common-3.2.3-1.fc26.noarch                 2/7 
  Verifying        : gtksourceviewmm3-3.18.0-3.fc26.x86_64                   3/7 
  Verifying        : gtkspellmm30-3.0.5-2.fc26.x86_64                        4/7 
  Verifying        : podofo-libs-0.9.5-4.fc26.x86_64                         5/7 
  Verifying        : tesseract-3.05.01-1.fc26.x86_64                         6/7 
  Verifying        : leptonica-1.74.4-1.fc26.x86_64                          7/7 

Installed:
  gimagereader-gtk.x86_64 3.2.3-1.fc26   gimagereader-common.noarch 3.2.3-1.fc26 
  gtksourceviewmm3.x86_64 3.18.0-3.fc26  gtkspellmm30.x86_64 3.0.5-2.fc26        
  leptonica.x86_64 1.74.4-1.fc26         podofo-libs.x86_64 0.9.5-4.fc26         
  tesseract.x86_64 3.05.01-1.fc26       

Complete!
Comment 2 Sandro Mani 2017-08-09 14:49:17 EDT
Looks like glibmm broke the ABI without a soname bump.
Comment 3 Sandro Mani 2017-08-09 15:19:48 EDT
Actually gtkmm30-3.22.1-1.fc26 seems to be the cause. I've fired off a gImageReader rebuild, reassigning to gtkmm30 so that they are aware of the ABI break.
Comment 4 Kalev Lember 2017-08-09 16:14:50 EDT
Could you file that upstream at https://bugzilla.gnome.org/enter_bug.cgi?product=gtkmm please, to make sure upstream people are aware of the ABI change?
Comment 5 Sandro Mani 2017-08-09 16:18:29 EDT
Done at https://bugzilla.gnome.org/show_bug.cgi?id=786070
Comment 6 Sandro Mani 2017-08-09 17:23:05 EDT
@peter johnson
The rebuild has finished [1], you can either grab the rpms directly from there or wait for the package to appear in updates-testing.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=953597
Comment 7 pete johnson 2017-08-10 12:25:54 EDT
I did get gimagereader-gtk-3.2.3-3.fc26.x86_64.rpm and
gimagereader-debuginfo-3.2.3-3.fc26.x86_64.rpm from above URL.  Installed,
gimagereader-gtk works correctly.  Thank you.
Comment 8 Fedora End Of Life 2018-05-03 04:21:48 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.